Skip to main content

Set refund address

POST 

/shifts/:shiftId/set-refund-address

warning

Authenticate by signing the request or with the legacy x-sideshift-secret header. Your Ed25519 secret key and your account secret each grant full access to your account. Never share them.

Request​

Path Parameters

    shiftId stringrequired

Header Parameters

    x-sideshift-key string

    Your Ed25519 public key, hex encoded. Required when signing the request. See Authentication.

    x-sideshift-timestamp string

    Current Unix time in milliseconds, the same value used in the signed message. Must be within 60 seconds of server time. Required when signing the request.

    x-sideshift-signature string

    Ed25519 signature of timestamp + METHOD + path + body, hex encoded. Required when signing the request. See Authentication.

    x-sideshift-secret string

    Legacy account secret. Not needed when the request is signed with the x-sideshift-key, x-sideshift-timestamp and x-sideshift-signature headers. See Authentication.

Body

    addressstringrequired
    memostring

    for address that requires memo

Responses​

OK
Fixed Shift
    idstringrequired
    createdAtstringrequired
    depositCoinstringrequired
    settleCoinstringrequired
    depositNetworkstringrequired
    settleNetworkstringrequired
    depositAddressstringrequired
    depositMemostring
    settleAddressstringrequired
    settleMemostring
    depositMinstringrequired
    depositMaxstringrequired
    refundAddressstringrequired
    refundMemostring
    typestringrequired
    quoteIdstringrequired
    depositAmountstringrequired
    settleAmountstringrequired
    expiresAtstringrequired
    statusstringrequired
    averageShiftSecondsstringrequired
    ratestringrequired
Variable Shift
    idstringrequired
    createdAtstringrequired
    depositCoinstringrequired
    settleCoinstringrequired
    depositNetworkstringrequired
    settleNetworkstringrequired
    depositAddressstringrequired
    depositMemostring
    settleAddressstringrequired
    settleMemostring
    depositMinstringrequired
    depositMaxstringrequired
    refundAddressstringrequired
    refundMemostring
    typestringrequired
    expiresAtstringrequired
    statusstringrequired
    averageShiftSecondsstringrequired